﻿@model IEnumerable<MvcApplication.Models.ProductListModel>

@{
    ViewBag.Title = "Products";
}

<h2>Products</h2>

@Html.ActionLink("Add new product", "Create")

<table width="100%">
    <thead>
        <tr>
            <th></th>
            <th>Photo</th>
            <th>Name</th>
            <th>Description</th>
            <th>Price</th>
            <th>Price after bonus</th>
            <th>Best before</th>
            <th></th>
            <th></th>
            <th></th>
            <th></th>
        </tr>
    </thead>

    @foreach (var p in Model)
    {
        <tr data-product-id="@p.Id" data-product-name="@p.Name">
            <td>
                <button class="type-show-image" >Show</button></td>
            @if (p.HasImage)
            {
                <td><a title="@p.Name" href="@Url.Action("GetImage", "Product", new { prodId = p.Id })">
                    <img  width="75" height="75" src="@Url.Action("GetImage", "Product", new { prodId = p.Id })" /></a></td>
            }
            else
            {
                <td>No photo.</td>
            }
            <td>@p.Name</td>
            <td>@p.Description</td>
            <td style="text-align: right;">@p.Price.ToString("F2")</td>
            <td style="text-align: right;">@p.PriceAfterBonus.ToString("F2")</td>
            <td>@p.BestBefore.Date.ToShortDateString()</td>
            <td>@Html.ActionLink("Edit", "Edit", new { id = p.Id })</td>
            <td>
                <button class="type-delete" >Delete</button>
            </td>
        </tr>
    }
    <tfoot>
        
    </tfoot>
</table>

<div id="dialog-img" title="Image view" style="display:none;">
    <img id="my-img" src="none" alt="No photo." />
</div>

<div id="dialog" title="Confirmation Required" style="display:none;">
    <label id="label-message">aaa</label>
</div>​

@section Scripts
{
    <script type="text/javascript">
        //init controller
        $(function () {
            var ctrl = new ProductListController();
            ctrl.init();
        });
    </script>
}
